libvisio::VSDOutputElementList Class Reference

`#include <VSDOutputElementList.h>`

## Public Member Functions

| VSDOutputElementList ()
| VSDOutputElementList (const VSDOutputElementList &elementList)
VSDOutputElementList & | operator= (const VSDOutputElementList &elementList)
| ~VSDOutputElementList ()
void | append (const VSDOutputElementList &elementList)
void | draw (librevenge::RVNGDrawingInterface *painter) const
void | addStyle (const librevenge::RVNGPropertyList &propList)
void | addPath (const librevenge::RVNGPropertyList &propList)
void | addGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)
void | addEndTextObject ()
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addCloseUnorderedListLevel ()
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addCloseListElement ()
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addCloseParagraph ()
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addCloseSpan ()
void | addInsertText (const librevenge::RVNGString &text)
void | addInsertLineBreak ()
void | addInsertTab ()
void | addStartLayer (const librevenge::RVNGPropertyList &propList)
void | addEndLayer ()
bool | empty () const

## Private Attributes

std::vector< std::unique_ptr< VSDOutputElement > > | m_elements

## Constructor & Destructor Documentation

## VSDOutputElementList() [1/2]

libvisio::VSDOutputElementList::VSDOutputElementList | ( |  | ) |

## VSDOutputElementList() [2/2]

libvisio::VSDOutputElementList::VSDOutputElementList | ( | const VSDOutputElementList & | elementList | ) |

## ~VSDOutputElementList()

libvisio::VSDOutputElementList::~VSDOutputElementList | ( |  | ) |

## Member Function Documentation

## addCloseListElement()

void libvisio::VSDOutputElementList::addCloseListElement | ( |  | ) |

## addCloseParagraph()

void libvisio::VSDOutputElementList::addCloseParagraph | ( |  | ) |

## addCloseSpan()

void libvisio::VSDOutputElementList::addCloseSpan | ( |  | ) |

## addCloseUnorderedListLevel()

void libvisio::VSDOutputElementList::addCloseUnorderedListLevel | ( |  | ) |

## addEndLayer()

void libvisio::VSDOutputElementList::addEndLayer | ( |  | ) |

## addEndTextObject()

void libvisio::VSDOutputElementList::addEndTextObject | ( |  | ) |

## addGraphicObject()

void libvisio::VSDOutputElementList::addGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addInsertLineBreak()

void libvisio::VSDOutputElementList::addInsertLineBreak | ( |  | ) |

## addInsertTab()

void libvisio::VSDOutputElementList::addInsertTab | ( |  | ) |

## addInsertText()

void libvisio::VSDOutputElementList::addInsertText | ( | const librevenge::RVNGString & | text | ) |

## addOpenListElement()

void libvisio::VSDOutputElementList::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addOpenParagraph()

void libvisio::VSDOutputElementList::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addOpenSpan()

void libvisio::VSDOutputElementList::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addOpenUnorderedListLevel()

void libvisio::VSDOutputElementList::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addPath()

void libvisio::VSDOutputElementList::addPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addStartLayer()

void libvisio::VSDOutputElementList::addStartLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addStartTextObject()

void libvisio::VSDOutputElementList::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

## addStyle()

void libvisio::VSDOutputElementList::addStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## append()

void libvisio::VSDOutputElementList::append | ( | const VSDOutputElementList & | elementList | ) |

## draw()

void libvisio::VSDOutputElementList::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) | const

## empty()

bool libvisio::VSDOutputElementList::empty | ( |  | ) | const

inline

## operator=()

libvisio::VSDOutputElementList & libvisio::VSDOutputElementList::operator= | ( | const VSDOutputElementList & | elementList | ) |

## Member Data Documentation

## m_elements

std::vector<std::unique_ptr<VSDOutputElement> > libvisio::VSDOutputElementList::m_elements

private

Referenced by addCloseListElement(), addCloseParagraph(), addCloseSpan(), addCloseUnorderedListLevel(), addEndLayer(), addEndTextObject(), addGraphicObject(), addInsertLineBreak(), addInsertTab(), addInsertText(), addOpenListElement(), addOpenParagraph(), addOpenSpan(), addOpenUnorderedListLevel(), addPath(), addStartLayer(), addStartTextObject(), addStyle(), append(), draw(), empty(), operator=(), VSDOutputElementList(), and VSDOutputElementList().

The documentation for this class was generated from the following files:

- VSDOutputElementList.h
- VSDOutputElementList.cpp